%define major	5
%define libname	%mklibname zmq %{major}
%define develname %mklibname zmq -d

Summary:	Software library for fast, message-based applications
Name:		zeromq
Version:	4.2.2
Release:	%mkrel 1
Url:		http://www.zeromq.org
Source0:	https://github.com/zeromq/libzmq/releases/download/v%{version}/zeromq-%{version}.tar.gz
# Missing from source tarball
Source1:	ZeroMQConfig.cmake.in
# Modified from FindSodium.cmake
Source2:	FindUnwind.cmake
# This is source as we don't want to apply it with %%autopatch
Source3:	zeromq-4.2.2-fix-ZeroMQConfig.patch
Patch0:		zeromq-4.2.2-fix-CMake-build.patch
Patch1:		zeromq-4.2.2-CMake-build-with-libunwind.patch
License:	LGPLv3+
Group:		Development/Other
BuildRequires:  asciidoc
BuildRequires:  cmake
BuildRequires:  python
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(openpgm-5.2)

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary:	Software library for fast, message-based applications
Group:		System/Libraries
Obsoletes:	%{_lib}zeromq1 >= 3.2.3
Obsoletes:	%{_lib}zeromq5 < 4.2.2

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the %{name} shared library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}zeromq-devel < 4.2.2

%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

%package utils
Summary:	Utility binaries for zeromq
Group:		Development/C

%description utils
Utility binaries for zeromq

%prep
%setup -q
%autopatch -p1

# Missing file from source tarball
if [[ ! -x ZeroMQConfig.cmake.in ]]; then
	install -pm644 %{_sourcedir}/ZeroMQConfig.cmake.in .
fi

# fix ZeroMQConfig
patch -p1 < %{_sourcedir}/zeromq-4.2.2-fix-ZeroMQConfig.patch

# find libunwind
install -pm644 %{_sourcedir}/FindUnwind.cmake .

# fix build with libsodium
sed -i -e 's,HAVE_LIBSODIUM,ZMQ_USE_LIBSODIUM,' builds/cmake/platform.hpp.in

%build
%cmake \
	-DCMAKE_INSTALL_DOCDIR:PATH=%{_docdir} \
	-DWITH_OPENPGM:BOOL=ON \
	-DWITH_LIBSODIUM:BOOL=ON \
	-DENABLE_DRAFTS:BOOL=ON
%make_build

# tests locally OK, fails in BS
%if 0
%check
make test -C build
%endif

%install
%make_install -C build

#handle docs in files section
rm -rf %{buildroot}%{_datadir}/zmq/

# we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%doc build/AUTHORS.txt build/NEWS.txt
%license build/COPYING*
%{_libdir}/libzmq.so.%{major}
%{_libdir}/libzmq.so.%{major}.*

%files -n %{develname}
%doc %{_docdir}/zmq/
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*
%dir %{_datadir}/cmake/ZeroMQ/
%{_datadir}/cmake/ZeroMQ/ZeroMQConfig.cmake
%{_datadir}/cmake/ZeroMQ/ZeroMQConfigVersion.cmake

%files utils
%{_bindir}/inproc_lat
%{_bindir}/inproc_thr
%{_bindir}/local_lat
%{_bindir}/local_thr
%{_bindir}/remote_lat
%{_bindir}/remote_thr


%changelog
* Wed Feb 22 2017 wally <wally> 4.2.2-1.mga6
+ Revision: 1087318
- new version 4.2.2
- fix lib and devel pkg names
- switch to CMake builds
- split out cppzmq into its own src.rpm

* Mon Oct 10 2016 eatdirt <eatdirt> 4.1.4-3.mga6
+ Revision: 1060013
- Rebuild for new libsodium

* Sat Dec 26 2015 barjac <barjac> 4.1.4-2.mga6
+ Revision: 915182
- rebuild for sodium

* Fri Dec 18 2015 barjac <barjac> 4.1.4-1.mga6
+ Revision: 911780
- new version 4.1.4
- bug fix release

* Wed Dec 09 2015 barjac <barjac> 4.1.3-1.mga6
+ Revision: 909257
- new version 4.1.3

* Mon Nov 30 2015 neoclust <neoclust> 4.1.2-3.mga6
+ Revision: 907352
- Make check verbose

* Wed Aug 19 2015 barjac <barjac> 4.1.2-2.mga6
+ Revision: 865841
+ rebuild (emptylog)

* Thu Aug 13 2015 barjac <barjac> 4.1.2-1.mga6
+ Revision: 864350
- new version 4.1.2
- added BRs libsodium and openpgm
- new major 5

* Mon Aug 03 2015 barjac <barjac> 4.0.7-1.mga6
+ Revision: 860869
- new version fixes mga#16411
 ipyrhon died because of buggy zeromq version

* Fri May 08 2015 barjac <barjac> 4.0.6-0.1.mga5
+ Revision: 821476
- update to 4.0.6 to fix security bug Mga#15878

* Thu Nov 13 2014 barjac <barjac> 4.0.5-1.mga5
+ Revision: 796882
- new version 4.0.5 to fix following CVEs
- CVE-2014-7202 and CVE-2014-7203
- Mga#14525

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.4-2.mga5
+ Revision: 690870
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 barjac <barjac> 4.0.4-1.mga5
+ Revision: 658109
- new version 4.0.4
- includes zmq.hpp in devel from separate source zip
- added -utils sub-package for new binary file
- removes old obsolete on previous -utils package
- spec now caters for git snapshots

* Sat Oct 19 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 527503
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 3.2.3-2.mga4
+ Revision: 440416
- bump req
- lock libmajor

* Sun Jun 02 2013 kharec <kharec> 3.2.3-1.mga4
+ Revision: 434854
- new version 3.2.3

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 387668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 2.2.0-1.mga3
+ Revision: 281133
- Update to 2.2.0.

* Mon Dec 19 2011 lebedov <lebedov> 2.1.11-1.mga2
+ Revision: 184113
- Update to 2.1.11.

* Mon Oct 03 2011 lebedov <lebedov> 2.1.10-1.mga2
+ Revision: 151318
- Update to 2.1.10.

* Tue Sep 06 2011 tv <tv> 2.1.9-1.mga2
+ Revision: 139458
- new release

* Sat Apr 30 2011 pterjan <pterjan> 2.1.6-1.mga1
+ Revision: 93609
- Update to 2.1.6 which is in mdv backports

* Mon Apr 18 2011 dams <dams> 2.1.4-4.mga1
+ Revision: 87825
- Add a 'Provides: ' to remove the old zeromq-utils (lib package)

* Fri Apr 15 2011 dams <dams> 2.1.4-3.mga1
+ Revision: 85568
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-2.mga1
+ Revision: 85012
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-1.mga1
+ Revision: 84840
- update to 2.1.4

* Mon Jan 31 2011 dmorgan <dmorgan> 2.0.10-1.mga1
+ Revision: 45309
- imported package zeromq

